FROM public.ecr.aws/docker/library/python:3.11-slim-bookworm

WORKDIR /app

COPY requirements.txt requirements.txt
RUN pip3 install --no-cache-dir -r requirements.txt

COPY . .

CMD ["python3", "main.py"]
